<table id="table2"
     data-classes="table table-hover table-condensed"
     data-striped="true"
     data-toolbar="#toolbar"
     data-pagination="true"
     data-click-to-select="false"
     data-search="true"
     data-show-export="true"
     data-reorderable-columns="true"
     data-show-refresh="true"
     data-show-pagination-switch="true">
  <thead>
    <tr>
      <% unless @whithoupartner %>
        <th>Client</th>
      <% end %>
      <th>Projet/Contrat</th>
      <th>Technicien</th>
      <th>Date et heure</th>
      <th>Durée</th>
      <% if @accounted %>
        <th>Comptabilisé ?</th>
      <% else %>
        <th>Facturable ?</th>
      <% end %>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <% @interventions.each do |intervention| %>
      <tr>
        <% unless @whithoupartner %>
          <td>
            <% if intervention.partner %>
              <%= intervention.partner.name %>
              <span class="cell-icon">
                <a href="<%= partner_path(intervention.partner) %>"><i class="fa fa-external-link"></i></a>
              </span>
            <% end %>
          </td>
        <% end %>
        <td>
          <%= intervention.project && intervention.project.title %>
          <span class="cell-icon">
            <%= link_to intervention.project do %>
              <i class="fa fa-external-link fa-fw"></i>
            <% end %>
          </span>
        </td>
        <td>
          <% if intervention.user %>
            <%= intervention.user.name %>
            <span class="cell-icon">
              <a href="<%= user_path(intervention.user) %>"><i class="fa fa-external-link"></i></a>
            </span>
          <% end %>
        </td>
        <td><%= intervention.intervention_date.strftime("%d/%m/%Y à %Hh%M") if intervention.intervention_date %></td>
        <td><%= intervention.duration.to_f.round(2) %></td>
        <% if @accounted %>
          <td align="center">
            <% classe = intervention.accounted ? "fa fa-check" : "fa fa-money" %>
            <i id="buttonComptabilise<%=intervention.id%>" class="<%= classe %>" onclick="comptabilise(<%= intervention.id %>)"></i>
          </td>
        <% else %>
          <td><i class='<%= intervention.billable ? "fa fa-check fa-fw" : "" %>'></i></td>
        <% end %>
        <td align="right">
          <%= link_to edit_intervention_path(intervention) do %>
            <i class="fa fa-pencil fa-fw"></i>
          <% end %>
          <%= link_to intervention, method: :delete, data: { confirm: 'Etes-vous sûr de vouloir supprimer cette feuille ?' } do %>
            <i class="fa fa-trash fa-fw"></i>
          <% end %>
        </td>
      </tr>
    <% end %>
  </tbody>
</table>
